MAXScript Extensions > MAXScript Extensions for mental ray > Other mental ray Shaders >

# LandscapetextureMap : textureMap

    LandscapetextureMap - superclass: textureMap; super-superclass:material - 162:0 - classID: #(2004031007, -1855346870)

Constructor:

    LandscapetextureMap ...

Properties:

    <LandscapetextureMap>.#TheList'

    <LandscapetextureMap>.#Shader_Version'

    <LandscapetextureMap>.Base_Color Color default: (color 178.5 153 102) -- animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])

    <LandscapetextureMap>.base_color_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.base_color_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.base_color_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Base_Plane_Distance Float default: 0.0 -- animatable; worldUnits

    <LandscapetextureMap>.Base_Plane_Distance_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Base_Plane_Distance_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Base_Plane_Distance_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Base_Plane_Normal Point3 default: [0,0,1] -- animatable; point3

    <LandscapetextureMap>.Base_Plane_Normal_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Base_Plane_Normal_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Base_Plane_Normal_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.blur Float default: 0.3 -- animatable; float

    <LandscapetextureMap>.Blur_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Blur_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Blur_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Connection_struct__0000__Texture UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Connection_struct__0001__Height UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Connection_struct__0002__Slope UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Connection_struct__0003__Positional_Noise UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Connection_struct__0004__Shape_Based_Noise UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Connection_struct__0005__Stain UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Height UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.height UndefinedClass default: undefined -- worldUnits

    <LandscapetextureMap>.Height_Active BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Height_Active_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Height_Active_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Height_Active_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Height_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Height_Influence Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Height_Influence_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Height_Influence_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Height_Influence_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Height_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Height_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Height_Spread Float default: 2.0 -- animatable; float

    <LandscapetextureMap>.Height_Spread_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Height_Spread_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Height_Spread_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Height_Upside_Down BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Height_Upside_Down_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Height_Upside_Down_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Height_Upside_Down_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Overlay_Color Color default: (color 51 102 51) -- animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])

    <LandscapetextureMap>.Overlay_Color_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Overlay_Color_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Overlay_Color_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Positional_Noise UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Positional_Noise_Active BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Positional_Noise_Active_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Positional_Noise_Active_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Positional_Noise_Active_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Positional_Noise_Coverage Float default: 0.0 -- animatable; float

    <LandscapetextureMap>.Positional_Noise_Coverage_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Positional_Noise_Coverage_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Positional_Noise_Coverage_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Positional_Noise_Influence Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Positional_Noise_Influence_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Positional_Noise_Influence_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Positional_Noise_Influence_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Positional_Noise_Roughness Float default: 0.0 -- animatable; float

    <LandscapetextureMap>.Positional_Noise_Roughness_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Positional_Noise_Roughness_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Positional_Noise_Roughness_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Positional_Noise_Scale Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Positional_Noise_Scale_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Positional_Noise_Scale_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Positional_Noise_Scale_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Positional_Noise_Vertical_Scale Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Positional_Noise_Vertical_Scale_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Positional_Noise_Vertical_Scale_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Positional_Noise_Vertical_Scale_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Relative_to_Object BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Relative_to_Object_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Relative_to_Object_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Relative_to_Object_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Relative_to_World BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Relative_to_World_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Relative_to_World_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Relative_to_World_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Shape_Based_Noise UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Shape_Based_Noise_Active BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Shape_Based_Noise_Active_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Shape_Based_Noise_Active_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Shape_Based_Noise_Active_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Shape_Based_Noise_Coverage Float default: 0.0 -- animatable; float

    <LandscapetextureMap>.Shape_Based_Noise_Coverage_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Shape_Based_Noise_Coverage_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Shape_Based_Noise_Coverage_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Shape_Based_Noise_Influence Float default: 2.0 -- animatable; float

    <LandscapetextureMap>.Shape_Based_Noise_Influence_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Shape_Based_Noise_Influence_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Shape_Based_Noise_Influence_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Shape_Based_Noise_Roughness Float default: 0.5 -- animatable; float

    <LandscapetextureMap>.Shape_Based_Noise_Roughness_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Shape_Based_Noise_Roughness_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Shape_Based_Noise_Roughness_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Shape_Based_Noise_Scale Float default: 5.0 -- animatable; float

    <LandscapetextureMap>.Shape_Based_Noise_Scale_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Shape_Based_Noise_Scale_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Shape_Based_Noise_Scale_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Shape_Based_Noise_Vertical_Scale Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Shape_Based_Noise_Vertical_Scale_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Shape_Based_Noise_Vertical_Scale_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Shape_Based_Noise_Vertical_Scale_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Slope UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Slope_Active BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Slope_Active_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Slope_Active_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Slope_Active_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Slope_Angle Float default: 40.0 -- animatable; float

    <LandscapetextureMap>.Slope_Angle_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Slope_Angle_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Slope_Angle_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Slope_Influence Float default: 10.0 -- animatable; float

    <LandscapetextureMap>.Slope_Influence_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Slope_Influence_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Slope_Influence_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Slope_Upside_Down BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Slope_Upside_Down_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Slope_Upside_Down_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Slope_Upside_Down_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Stain UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Stain_Active BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Stain_Active_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Stain_Active_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Stain_Active_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Stain_Influence Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Stain_Influence_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Stain_Influence_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Stain_Influence_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Stain_Thickness Float default: 0.0 -- animatable; worldUnits

    <LandscapetextureMap>.Stain_Thickness_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Stain_Thickness_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Stain_Thickness_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Texture UndefinedClass default: undefined -- paramBlock2

    <LandscapetextureMap>.Texture_Active BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Texture_Active_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Texture_Active_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Texture_Active_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Texture_Influence Float default: 1.0 -- animatable; float

    <LandscapetextureMap>.Texture_Influence_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Texture_Influence_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Texture_Influence_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Use_Alpha_Component BooleanClass default: false -- animatable; boolean

    <LandscapetextureMap>.Use_Alpha_Component_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Use_Alpha_Component_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Use_Alpha_Component_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Use_Blue_Component BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Use_Blue_Component_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Use_Blue_Component_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Use_Blue_Component_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Use_Green_Component BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Use_Green_Component_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Use_Green_Component_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Use_Green_Component_shader UndefinedClass default: undefined -- texturemap

    <LandscapetextureMap>.Use_Red_Component BooleanClass default: true -- animatable; boolean

    <LandscapetextureMap>.Use_Red_Component_connected BooleanClass default: false -- boolean

    <LandscapetextureMap>.Use_Red_Component_paramName UndefinedClass default: undefined -- string; !error setting value!

    <LandscapetextureMap>.Use_Red_Component_shader UndefinedClass default: undefined -- texturemap

## LandscapetextureMap interfaces:

    Interface:IMtlRender_Compability_MtlBase

Properties:

Methods:

Actions: